<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Manage Payment Extra</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-4">
                  <input [(ngModel)]="payment_extra" autocomplete="off" (keydown.enter)="getPayments(item.value)" name="payment_extra"
                    type="text" #item class="form-control input-sm-3" placeholder="Search For Name" />
                </div>
                <div class="col-sm-8 text-right">
                  <button type="get" (click)="getPayments(item.value);" class="btn btn-sm btn-primary blue">
                    <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                  <button class="btn btn-sm btn-primary green" (click)="refetchPaymentExtra()"><i aria-hidden="true" class="fa fa-refresh"></i>
                    Refresh</button>
                  <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true" class="fa fa-eraser"></i> Reset
                    filters</button>
                    <ng-container *ngIf="aclAdd">
                  <button type="submit" class="btn btn-sm btn-primary blue" [routerLink]="['/admin/administration/payment-extra/add']">Add
                    new record</button>
                  </ng-container>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Payment Extra" class="table table-striped table-bordered table-responsive zoom">
                  <thead>
                    <tr>
                      <th scope="col" class="sorting" (click)="sort('payment_extra')">Name
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='payment_extra' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='payment_extra' }"></i>
                        </span>
                      </th>
                      <th scope="col" (click)="sort('default_amount')">Default Amount
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='default_amount' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='default_amount' }"></i>
                        </span>
                      </th>
                      <th scope="col" (click)="sort('vat')">Vat
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='vat' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='vat' }"></i>
                        </span>
                      </th>
                      <th scope="col" (click)="sort('company')">Company
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='company' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='company' }"></i>
                        </span>
                      </th>
                      <th scope="col">Additional Service
                      </th>
                      <th scope="col" (click)="sort('payment_extra_type')">Payment Extra Type
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='payment_extra_type' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='payment_extra_type' }"></i>
                        </span>
                      </th>
                      <th scope="col">Is Amount Percentage
                      </th>
                      <th scope="col">Editable
                      </th>
                      <th scope="col">Locked
                      </th>
                      <th scope="col">Price With Vat
                      </th>
                      <th scope="col">Multi Applicable
                      </th>
                      <th scope="col" (click)="sort('created_at')">Date
                        <span>
                          <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='created_at' }"></i>
                          <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='created_at' }"></i>
                        </span>
                      </th>
                      <th scope="col">Visible On App</th>
                      <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchSubmit">
                      <img alt="loader" class="loader-img" src="assets/img/loader.gif" />
                    </span>
                    <tr *ngFor="let payment of paymentData">
                      <td>{{payment.payment_extra }}</td>
                      <td> <strong><span *ngIf="true==payment.is_amount_percantage;"> {{payment.default_amount }}% </span>
                          <span *ngIf="false==payment.is_amount_percantage;"> {{payment.default_amount }} AED </span>
                        </strong>
                      </td>
                      <td>
                        <span *ngIf="payment.vat"> {{payment.vat }} </span>
                        <span *ngIf="!payment.vat"> N/A </span>
                      </td>
                      <td>{{payment.company }}</td>
                      <td>{{payment.additional_service_id ? payment.additional_service_id.name: 'N/A'}}</td>
                      <td>{{payment.payment_extra_type }}</td>
                      <td>{{true==payment.is_amount_percantage ? 'Yes' : 'No'}}</td>
                      <td>{{true==payment.editable ? 'Yes' : 'No'}}</td>
                      <td>{{true==payment.locked ? 'Yes' : 'No'}} </td>
                      <td>{{true==payment.price_with_vat ? 'Yes' : 'No'}}</td>
                      <td>{{true==payment.multi_applicable ? 'Yes' : 'No'}}</td>
                      <td>{{payment.updated_at | date}}</td>
                      <td>{{true==payment.visible_on_app ? 'Yes' : 'No'}}</td>
                      <td *ngIf="aclEdit || aclDelete">
                        <span *ngIf="aclEdit" matTooltip="Edit">
                          <div class="fa fa-edit text-navy" [routerLink]="['/admin/administration/payment-extra/edit', payment._id]">
                          </div>
                        </span>&nbsp;&nbsp;&nbsp;
                        <span *ngIf="aclDelete" matTooltip="Delete">
                          <a (click)="openDialog(payment._id)">
                            <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                          </a>
                        </span>
                      </td>
                    </tr>

                  </tbody>
                </table>


                <br>
                <div class="container-fluid" *ngIf="paymentLength > 0">
                  <div class="row col-md-12 text-center">
                    <div class="dataTables_info1">
                      <ngb-pagination [collectionSize]="paymentLength" (pageChange)="pagingAgent($event)" [page]="1"
                        [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                    </div>
                  </div>
                </div>
                <div class="container-fluid" *ngIf="paymentLength==0">
                  <div class="row">
                    <div class="dataTables_info1">
                      <div class="col-md-12 text-center form-group">
                        No records found
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
